<?php get_header(); ?>

		<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

		<div class="pagetitle">
		<?php
			if ( is_category() ) {
				printf( __( 'Архивы для рубрики: <span>%1$s</span>', 'wu-wei' ), single_cat_title( '', FALSE ) );
			} elseif ( is_tag() ) {
				printf( __( 'Архивы для записей с меткой: <span>%1$s</span>', 'wu-wei' ), single_tag_title( '', FALSE ) );
			} elseif ( is_day() ) {
				printf( __( 'Архивы в течение дня: <span>%1$s</span>', 'wu-wei' ), get_the_date( get_option( 'date_format' ) ) );
			} elseif ( is_month() ) {
				printf( __( 'Архивы в течение месяца: <span>%1$s</span>', 'wu-wei' ), get_the_date( 'F, Y' ) );
			} elseif ( is_year() ) {
				printf( __( 'Архивы в течение года: <span>%1$s</span>', 'wu-wei' ), get_the_date( 'Y' ) );
			} elseif (is_author()) {
				_e( 'Архивы <span>Для автора</span>', 'wu-wei' );
			} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {
				_e( 'Архивы блога', 'wu-wei' );
			}
		?>
		</div>

			<div class="navigation">
				<div class="alignleft"><?php next_posts_link( __( '&laquo; Более старые Записи', 'wu-wei' ) ); ?></div>
				<div class="alignright"><?php previous_posts_link( __( 'Более новые Записи &raquo;', 'wu-wei' ) ); ?></div>
				<div class="clearboth"><!-- --></div>
			</div>

		<?php while (have_posts()) : the_post(); ?>

		<div <?php post_class(); ?>>

			<div class="post-info">

				<h1 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Постоянная ссылка на %s', 'wu-wei' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a></h1>
				<div class="timestamp"><?php the_time( get_option( 'date_format' ) ); ?> <!-- by <?php the_author(); ?> --> //</div> <?php if ( comments_open() ) : ?><div class="comment-bubble"><?php comments_popup_link( '0', '1', '%' ); ?></div><?php endif; ?>
				<div class="clearboth"><!-- --></div>

				<?php edit_post_link( __( 'Редактировать эту запись', 'wu-wei' ), '<p>', '</p>' ); ?>

			</div>

			<div class="post-content">
				<?php the_content( __( 'Прочитать остальную часть этой записи &raquo;', 'wu-wei' ) ); ?>

				<?php wp_link_pages( array('before' => '<p><strong>' . __( 'Страницы:', 'wu-wei' ) . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			</div>

			<div class="clearboth"><!-- --></div>
			
			<?php the_tags( '<div class="post-meta-data">' . __( 'Метки', 'wu-wei' ) . ' <span>', ', ', '</span></div>' ); ?>

			<div class="post-meta-data"><?php _e( 'Рубрики', 'wu-wei' ); ?> <span><?php the_category(', '); ?></span></div>			

		</div>

		<?php endwhile; ?>

			<div class="navigation">
				<div class="alignleft"><?php next_posts_link( __( '&laquo; Более старые Записи', 'wu-wei' ) ); ?></div>
				<div class="alignright"><?php previous_posts_link( __( 'Более новые Записи &raquo;', 'wu-wei' ) ); ?></div>
				<div class="clearboth"><!-- --></div>
			</div>

	<?php else :
		
		if ( is_category() ) { // If this is a category archive
			printf( __( '<h2 class="center">Извините, но не&#8217;т ни одной записи в %1$s категории еще.</h2>', 'wu-wei' ), single_cat_title('',false) );
		} else if ( is_date() ) { // If this is a date archive
			_e( '<h2>Извините, но не&#8217;т ни одной записи с этой датой.</h2>', 'wu-wei' );
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin( get_query_var('author_name') );
			printf( __( '<h2 class="center">Извините, но не&#8217;т ни одной записи %1$s до сих пор.</h2>', 'wu-wei' ), $userdata->display_name );
		} else {
			_e( '<h2 class="center">Записи не найдены.</h2>', 'wu-wei' );
		}
		get_search_form();

	endif;
?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
