<?php get_header(); ?>

	<?php if (have_posts()) : ?>

		<div class="pagetitle">Результаты поиска для: <span>"<?php the_search_query(); ?>"</span></div>

			<div class="navigation">
				<div class="alignleft"><?php next_posts_link( __( '&laquo; Более старые Записи', 'wu-wei' ) ); ?></div>
				<div class="alignright"><?php previous_posts_link( __( 'Более новые Записи &raquo;', 'wu-wei' ) ); ?></div>
				<div class="clearboth"><!-- --></div>
			</div>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class(); ?>>

			<div class="post-info">

				<h1 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Постоянная ссылка на %s', 'wu-wei' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a></h1>
				<div class="timestamp"><?php the_time( get_option( 'date_format' ) ); ?> <!-- by <?php the_author(); ?> --> //</div> <?php if ( comments_open() ) : ?><div class="comment-bubble"><?php comments_popup_link( '0', '1', '%' ); ?></div><?php endif; ?>
				<div class="clearboth"><!-- --></div>

				<?php edit_post_link( __( 'Редактировать эту запись', 'wu-wei' ), '<p>', '</p>' ); ?>

			</div>

			<div class="post-content">
				<?php the_content(); ?>
			</div>

			<div class="clearboth"><!-- --></div>
			
			<?php the_tags( '<div class="post-meta-data">' . __( 'Метки', 'wu-wei' ) . ' <span>', ', ', '</span></div>' ); ?>

			<div class="post-meta-data"><?php _e( 'Рубрики', 'wu-wei' ); ?> <span><?php the_category(', '); ?></span></div>			

		</div>

		<?php endwhile; ?>

			<div class="navigation">
				<div class="alignleft"><?php next_posts_link('&laquo; Более старые Записи'); ?></div>
				<div class="alignright"><?php previous_posts_link('Более новые Записи &raquo;'); ?></div>
				<div class="clearboth"><!-- --></div>
			</div>

	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>Извините, но нет ни одной записи в %s категории еще.</h2>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo("<h2>Извините, но нет ни одной записи с этой датой.</h2>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>Извините, но здесь нет ни одной записи от %s еще.</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>Записи не найдены.</h2>");
		}
		get_search_form();

	endif;
?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
