<?php get_header(); ?>

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">

				<div class="post-info">

					<h1><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Постоянная ссылка на %s', 'wu-wei' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a></h1>

					<div class="timestamp"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Постоянная ссылка на %s', 'wu-wei' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_time( get_option( 'date_format' ) ); ?></a> <!-- by <?php the_author(); ?> --> //</div> <?php if ( comments_open() ) : ?><div class="comment-bubble"><?php comments_popup_link( '0', '1', '%' ); ?></div><?php endif; ?>
					<div class="clearboth"><!-- --></div>

					<?php edit_post_link( __( 'Редактировать эту запись', 'wu-wei' ), '<p>', '</p>' ); ?>

				</div>

				<div class="post-content">
					<?php the_content( __( 'Прочитать остальную часть этой записи &raquo;', 'wu-wei' ) ); ?>

					<?php wp_link_pages( array('before' => '<p><strong>' . __( 'Страницы:', 'wu-wei' ) . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
				</div>

				<div class="clearboth"><!-- --></div>

				<?php the_tags( '<div class="post-meta-data">' . __( 'Метки', 'wu-wei' ) . ' <span>', ', ', '</span></div>' ); ?>

				<div class="post-meta-data"><?php _e( 'Рубрики', 'wu-wei' ); ?> <span><?php the_category(', '); ?></span></div>

			</div>

		<?php endwhile; ?>

			<div class="navigation">
				<div class="alignleft"><?php next_posts_link( __( '&laquo; Более старые Записи', 'wu-wei' ) ); ?></div>
				<div class="alignright"><?php previous_posts_link( __( 'Более новые Записи &raquo;', 'wu-wei' ) ); ?></div>
				<div class="clearboth"><!-- --></div>
			</div>

	<?php else : ?>

		<div class="post">

			<div class="post-info">

				<h1><?php _e( 'Не найдено', 'wu-wei' ); ?></h1>

			</div>

			<div class="post-content">
				<p><?php _e( 'Извините, но вы ищете что-то, чего не&rsquo;т здесь.', 'wu-wei'  ); ?></p>

				<?php get_search_form(); ?>
			</div>

			<div class="clearboth"><!-- --></div>

		</div>

	<?php endif; ?>

	<?php get_sidebar(); ?>

<?php get_footer(); ?>
